Skip to main content
POST
Create a treatment summary

Authorizations

x-api-key
string
header
required

Org-issued integration API key (service account credential). The plaintext secret is shown once at creation.

Headers

X-Idempotency-Key
string
required

Stable caller-chosen key (max 200 chars) making the mutation safely retryable.

Maximum string length: 200

Path Parameters

caseId
string
required

Case id

Body

application/json
providerContactId
string
required
Required string length: 1 - 200
facilityId
string | null
Required string length: 1 - 200
typeOfCare
string | null
Required string length: 1 - 200
treatmentStatus
string | null
Required string length: 1 - 120
firstVisitDate
string | null
Pattern: ^\d{4}-\d{2}-\d{2}$
lastVisitDate
string | null
Pattern: ^\d{4}-\d{2}-\d{2}$
lienStatus
enum<string>
default:unknown
Available options:
yes,
no,
unknown
sourceRecordId
string
Required string length: 1 - 200

Response

{ success: true, treatmentSummary }

success
boolean
required
{key}
any